> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mipos.co.cr/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar Emisor

> Consultar información de un emisor registrado

Consulta los datos de un emisor previamente registrado en el sistema.

## Request

```
POST https://{empresa}.mipos.co.cr/api/consultar/emisor
```

<ParamField body="identificacion" type="number" required>
  Número de identificación del emisor a consultar.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://{empresa}.mipos.co.cr/api/consultar/emisor \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer {token}" \
    -d '{
      "identificacion": 3102955154
    }'
  ```

  ```php PHP theme={null}
  $ch = curl_init('https://{empresa}.mipos.co.cr/api/consultar/emisor');
  curl_setopt_array($ch, [
      CURLOPT_POST           => true,
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_HTTPHEADER     => [
          'Content-Type: application/json',
          'Authorization: Bearer ' . $token,
      ],
      CURLOPT_POSTFIELDS     => json_encode([
          'identificacion' => 3102955154,
      ]),
  ]);

  $response = curl_exec($ch);
  $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
  curl_close($ch);

  $result = json_decode($response, true);
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://{empresa}.mipos.co.cr/api/consultar/emisor', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      'Authorization': `Bearer ${token}`,
    },
    body: JSON.stringify({
      identificacion: 3102955154,
    }),
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://{empresa}.mipos.co.cr/api/consultar/emisor',
      headers={'Authorization': f'Bearer {token}'},
      json={'identificacion': 3102955154},
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 — Emisor encontrado theme={null}
  {
    "status": "success",
    "data": {
      "identificacion": 3102955154,
      "tipoIdentificacion": 2,
      "nombreComercial": "MI EMPRESA S.A.",
      "correoElectronico": "empresa@ejemplo.com",
      "telefono": "88180000",
      "ambiente": 1
    }
  }
  ```

  ```json 404 — Emisor no encontrado theme={null}
  {
    "error": "not_found",
    "message": "Emisor no encontrado"
  }
  ```
</ResponseExample>
